<?php

defined( 'ABSPATH' ) || exit;

$patterns['call-to-action-1'] = [];
$patterns['call-to-action-1']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 1';
$patterns['call-to-action-1']['category'] = 'call-to-action';
$patterns['call-to-action-1']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" remove_bottom_col_margin="true" el_class="wpex-py-100 wpex-surface-2"][vc_column][vcex_heading text="Limited Time Offer" color="accent" text_align="center" font_weight="600" text_transform="uppercase" font_size="base" letter_spacing="wide" bottom_margin="5px"][vcex_heading text="What are you waiting for?`{`br`}`Get Started Today!" text_balance="true" text_align="center" tag="h2" font_size="5xl" font_weight="bold"][vcex_spacing size="25px"][vcex_button align="center" color="black" border_radius="0px" border="0px" font_padding="top:15px|right:25px|bottom:15px|left:25px" font_weight="bold" text_transform="uppercase" letter_spacing="widest" font_size="sm"]Create Account[/vcex_button][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-2'] = [];
$patterns['call-to-action-2']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 2';
$patterns['call-to-action-2']['category'] = 'call-to-action';
$patterns['call-to-action-2']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" content_placement="middle" remove_bottom_col_margin="true" el_class="wpex-py-60 wpex-surface-2"][vc_column][vcex_flex_container align_items="center" justify_content="space-between" flex_wrap="true" flex_direction="row"][vcex_heading text="Sign up today for a free 1 month trial.`{`br`}`Cancel at anytime." tag="h2" font_size="2xl" font_weight="bold"][vcex_button layout="block" align="center" color="black" border_radius="0px" border="0px" font_padding="top:15px|right:25px|bottom:15px|left:25px" font_weight="bold" text_transform="uppercase" letter_spacing="widest" font_size="sm"]Create Account[/vcex_button][/vcex_flex_container][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-3'] = [];
$patterns['call-to-action-3']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 3';
$patterns['call-to-action-3']['category'] = 'call-to-action';
$patterns['call-to-action-3']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" content_placement="middle" remove_bottom_col_margin="true" el_class="wpex-py-60 wpex-surface-2"][vc_column][vcex_heading text="Ready to Grow Your Business?" align="center" text_align="center" tag="h2" font_size="5xl" font_weight="bold" width="600px" bottom_margin="20px"][vc_column_text width="600px" align="center" text_align="center" bottom_margin="30px"]Take your business to the next level with strategies designed for growth and success. Let’s work together to turn your goals into actionable results.[/vc_column_text][vcex_button align="center" border_radius="4px" border="0px" font_padding="top:12px|right:25px|bottom:12px|left:25px" font_weight="bold" text_transform="uppercase" letter_spacing="widest" font_size="sm"]Get Started[/vcex_button][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-4'] = [];
$patterns['call-to-action-4']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 4';
$patterns['call-to-action-4']['category'] = 'call-to-action';
$patterns['call-to-action-4']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" content_placement="middle" remove_bottom_col_margin="true" wpex_bg_color="#1700ff" el_class="wpex-py-60"][vc_column][vcex_flex_container align_items="center" justify_content="space-between" flex_wrap="true" flex_direction="row"][vcex_heading text="Take Your Business to the Next Level.`{`br`}`Set up your free online consultation today." color="#fff" tag="div" font_size="xl" font_weight="semibold"][vcex_button color="white" border_radius="0px" border="0px" font_padding="top:12px|right:25px|bottom:12px|left:25px" font_weight="bold" text_transform="uppercase" letter_spacing="wide" font_size="sm" icon_right="chevron-right" icon_right_transform="5px"]Get Started[/vcex_button][/vcex_flex_container][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-5'] = [];
$patterns['call-to-action-5']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 5';
$patterns['call-to-action-5']['category'] = 'call-to-action';
$patterns['call-to-action-5']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" content_placement="middle" remove_bottom_col_margin="true" el_class="wpex-py-100 wpex-surface-2"][vc_column][vc_column_text text_align="center" text_transform="uppercase" letter_spacing="widest" font_size="sm" font_weight="500" bottom_margin="5px"]What are you waiting for?[/vc_column_text][vcex_heading text="Contact Us For A Free Consultation" align="center" text_align="center" tag="h2" font_size="5xl" font_weight="bold" width="700px" bottom_margin="25px"][vcex_button align="center" border_radius="rounded-full" font_padding="top:14px|right:24px|bottom:14px|left:24px" font_weight="bold" text_transform="uppercase" letter_spacing="widest" font_size="sm" icon_right="chevron-right" style="outline" border="2px solid currentColor" icon_right_transform="5px"]Contact us[/vcex_button][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-6'] = [];
$patterns['call-to-action-6']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 6';
$patterns['call-to-action-6']['category'] = 'call-to-action';
$patterns['call-to-action-6']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-p-60 wpex-rounded-lg wpex-bg-gray-A900 wpex-dark-mode-surface-2"][vc_column][vcex_heading text="Activate Your Code Today!" color="#FFF" text_align="center" tag="h2" font_size="4xl" font_weight="bold" bottom_margin="20px"][vc_column_text text_align="center" width="600px" align="center" color="#FFFFFF99" bottom_margin="30px"]Unlock your potential and start seeing results by activating your code today. Don’t wait—seize the opportunity and drive your success now![/vc_column_text][vcex_button align="center" font_padding="top:12px|right:25px|bottom:12px|left:25px" text_transform="uppercase" letter_spacing="widest" icon_right="chevron-right" style="three-d" font_weight="bold"]Get Started[/vcex_button][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-7'] = [];
$patterns['call-to-action-7']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 7';
$patterns['call-to-action-7']['category'] = 'call-to-action';
$patterns['call-to-action-7']['content'] = <<<CONTENT
[vc_section el_class="wpex-py-60"][vc_row content_placement="middle"][vc_column width="1/2"][vcex_heading text="Try Product X for a limited time 100% FREE. Enjoy!" font_weight="800" font_size="4xl"][/vc_column][vc_column width="1/2"][vc_column_text]With product X you can reach new levels of success, take on any challenge and beat your competition. It's time to take action now and register.[/vc_column_text][/vc_column][/vc_row][vc_row remove_bottom_col_margin="true" el_class="wpex-md-text-center"][vc_column][vcex_button font_padding="top:15px|right:50px|bottom:15px|left:50px" font_weight="bold" bottom_margin="10px"]Get Started[/vcex_button][vc_column_text font_size="sm"]Hurry! Offer expires in 30 days.[/vc_column_text][/vc_column][/vc_row][/vc_section]
CONTENT;

$patterns['call-to-action-8'] = [];
$patterns['call-to-action-8']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 8';
$patterns['call-to-action-8']['category'] = 'call-to-action';
$patterns['call-to-action-8']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_flex_container align_items="center" justify_content="space-between" row_stack_bp="md" flex_direction="row" gap="60px" row_stack_gap="25px"][vcex_heading text="We are the best in the industry" font_weight="800" font_size="4xl"][vc_column_text]With product X you can reach new levels of success, take on any challenge and beat your competition. It's time to take action now and register.[/vc_column_text][vcex_button font_padding="top:15px|right:50px|bottom:15px|left:50px" font_weight="bold" width="200px" classes="wpex-flex-shrink-0"]Click Here[/vcex_button][/vcex_flex_container][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-9'] = [];
$patterns['call-to-action-9']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 9';
$patterns['call-to-action-9']['category'] = 'call-to-action';
$patterns['call-to-action-9']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vc_column_text bottom_margin="10px" font_size="sm" text_transform="uppercase" letter_spacing="wide" font_weight="500"]Why Choose Us?[/vc_column_text][vcex_heading text_balance="true" text="Learn more about our product features and how you can use it to increase your productivity by up to 500% via our explainer video." font_weight="800" font_size="4xl" tag="h3" bottom_margin="25px"][vcex_icon_box heading="Video - 40 seconds" float="none" align_center="true" icon="material-play" url_wrap="true" onclick="lightbox_video" icon_spacing="10px" heading_bottom_margin="0px" border_radius="rounded-full" icon_background="accent" icon_color="#FFF" icon_size="26px" icon_border_radius="rounded-full" icon_width="45px" icon_height="45px" heading_weight="normal" onclick_url="https://www.youtube.com/watch?v=UKI93s1yVDo" hover_background="#f9f9f9" width="fit-content" heading_size="base" classes="wpex-bordered wpex-px-15 wpex-py-10"][/vcex_icon_box][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-10'] = [];
$patterns['call-to-action-10']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 10';
$patterns['call-to-action-10']['category'] = 'call-to-action';
$patterns['call-to-action-10']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vc_column_text letter_spacing="wide" bottom_margin="10px"]Trendsetting design[/vc_column_text][vcex_flex_container align_items="center" justify_content="space-between" row_stack_bp="sm" flex_direction="row" gap="80px" row_stack_gap="20px"][vcex_heading text_balance="true" text="Everything you need right at your finger tips, don't look any further. Get started with Product X today." font_weight="800" font_size="4xl" tag="h3"][vcex_icon icon="arrow-right" background="accent" color="#FFF" border_radius="rounded-full" width="50px" height="50px" custom_size="20px" link_url="url:%23" hover_animation="grow-shadow"][/vcex_flex_container][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-11'] = [];
$patterns['call-to-action-11']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 11';
$patterns['call-to-action-11']['category'] = 'call-to-action';
$patterns['call-to-action-11']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" remove_bottom_col_margin="true" wpex_bg_color="#262626" css=".vc_custom_1631663637441{padding-top: 10% !important;padding-bottom: 10% !important;}"][vc_column][vcex_heading text_balance="true" text="Ready to start sharing videos online? Download the Total App" align="center" color="#FFF" text_align="center" tag="h3" font_size="4xl" font_weight="normal" width="700px" bottom_margin="40px"][vcex_flex_container align_items="center" justify_content="center" flex_wrap="true" flex_direction="row" gap="10px"][vcex_icon_box heading="Available on the" icon_spacing="15px" align_center="true" icon="apple" url_wrap="true" onclick="custom_link" heading_color="#FFF" font_color="#FFF" heading_size="xs" font_size="lg" onclick_url="https://www.apple.com/app-store/" heading_bottom_margin="0px" icon_color="#FFF" heading_line_height="1" font_weight="normal" background_color="#e7612b" padding_y="15px" padding_x="30px" border_radius="rounded-full" hover_background="#e96c3a"]App Store[/vcex_icon_box][vcex_icon_box heading="Get it on" icon_spacing="15px" align_center="true" icon="play" url_wrap="true" onclick="custom_link" heading_color="#FFF" font_color="#FFF" heading_size="xs" font_size="lg" onclick_url="https://play.google.com/store" heading_bottom_margin="0px" icon_color="#FFF" heading_line_height="1" font_weight="normal" background_color="#e7612b" padding_y="15px" padding_x="30px" border_radius="rounded-full" hover_background="#e96c3a"]Google Play[/vcex_icon_box][/vcex_flex_container][/vc_column][/vc_row]
CONTENT;

$patterns['call-to-action-12'] = [];
$patterns['call-to-action-12']['name'] = esc_html__( 'Call to Action', 'total' ) . ' 12';
$patterns['call-to-action-12']['category'] = 'call-to-action';
$patterns['call-to-action-12']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-50"][vc_column][vcex_heading text="Complete Framework" font_weight="800" font_size="5xl" text_align="center" bottom_margin="30px"][vc_column_text bottom_margin="40px" width="700px" align="center" text_align="center"]With product X you can reach new levels of success, take on any challenge and beat your competition. It's time to take action now and register.[/vc_column_text][vcex_flex_container justify_content="center" flex_wrap="true" flex_direction="row" gap="25px"][vcex_button border="2px solid var(--wpex-surface-3)" font_padding="top:15px|right:35px|bottom:15px|left:35px" font_weight="bold" font_size="base" border_radius="rounded-sm" font_weight="500" custom_color="currentColor" custom_background="transparent" custom_hover_background="#72727214"]Learn More[/vcex_button][vcex_button font_padding="top:15px|right:35px|bottom:15px|left:35px" font_weight="bold" border_radius="rounded-sm"]Get Started[/vcex_button][/vcex_flex_container][/vc_column][/vc_row]
CONTENT;
// IMPORTANT - Space required to prevent HEREDOC errors.
