<?php

defined( 'ABSPATH' ) || exit;

$patterns['features-1'] = [];
$patterns['features-1']['name'] = esc_html__( 'Features', 'total' ) . ' 1';
$patterns['features-1']['category'] = 'features';
$patterns['features-1']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="Our Services &amp; Features" text_align="center" tag="h2" font_size="3xl" font_weight="bold" bottom_margin="20px"][vc_column_text bottom_margin="60px" width="850px" align="center" text_align="center"]We offer a wide range of services designed to meet your unique needs and deliver exceptional results. Each service is tailored to ensure the best possible outcomes and help you achieve your goals.[/vc_column_text][vcex_grid_container columns_md="2" gap="50px 25px"][vcex_icon_box heading="Cloud Storage" icon="cloud"]Cloud storage provides secure, scalable, and accessible storage solutions, allowing you to store and manage data online.[/vcex_icon_box][vcex_icon_box heading="Easy Installation" icon="star"]The easy install process ensures a quick and hassle-free setup, so you can start using the service in no time.[/vcex_icon_box][vcex_icon_box heading="Building Blocks" icon="cubes"]Includes a wide variety of customizable blocks, making it easy to create unique and dynamic pages with just a few clicks.[/vcex_icon_box][vcex_icon_box heading="Quality Hardware" icon="cog"]Quality hardware ensures durability, high performance, and reliability, providing long-term support for all your needs.[/vcex_icon_box][vcex_icon_box heading="Premium Plugins" icon="plug"]Advanced features, enhanced functionality, and seamless integration, providing powerful tools for performance.[/vcex_icon_box][vcex_icon_box heading="Quick &amp; Easy" icon="paper-plane"]Effortless solutions streamline the process, saving time and ensuring a hassle-free experience for users.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-2'] = [];
$patterns['features-2']['name'] = esc_html__( 'Features', 'total' ) . ' 2';
$patterns['features-2']['category'] = 'features';
$patterns['features-2']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="Voted #1 by X Magazine" el_class="wpex-text-4" text_align="center" font_size="sm" font_weight="600" text_transform="uppercase"][vcex_heading text="Our Services &amp; Features" text_align="center" tag="h2" font_size="3xl" font_weight="bold"][vcex_divider color="#0D0C0C36" margin="top:25px|bottom:55px" width="60px" align="center"][vcex_grid_container columns_md="2" gap="50px"][vcex_icon_box heading="Cloud Storage" icon="cloud" style="two" icon_color="accent"]Cloud storage provides secure, scalable, and accessible storage solutions, allowing you to store and manage data online.[/vcex_icon_box][vcex_icon_box heading="Easy Installation" icon="star" style="two" icon_color="accent"]The easy install process ensures a quick and hassle-free setup, allowing you to seamlessly start using the service with confidence and ease.[/vcex_icon_box][vcex_icon_box style="two" heading="Building Blocks" icon="cubes" icon_color="accent"]Includes a wide variety of customizable blocks, making it easy to create unique and dynamic pages with just a few clicks.[/vcex_icon_box][vcex_icon_box style="two" heading="Quality Hardware" icon="cog" icon_color="accent"]Quality hardware ensures durability, high performance, and reliability, providing long-term support for all your needs.[/vcex_icon_box][vcex_icon_box style="two" heading="Premium Plugins" icon="plug" icon_color="accent"]Advanced features, enhanced functionality, and seamless integration, providing powerful tools for optimal performance.[/vcex_icon_box][vcex_icon_box style="two" heading="Quick &amp; Easy" icon="paper-plane" icon_color="accent"]Effortless solutions streamline the entire process, saving time and ensuring a hassle-free experience for all users, every step forward.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-3'] = [];
$patterns['features-3']['name'] = esc_html__( 'Features', 'total' ) . ' 3';
$patterns['features-3']['category'] = 'features';
$patterns['features-3']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" remove_bottom_col_margin="true" wpex_bg_color="#262626" el_class="wpex-py-100"][vc_column][vcex_heading text="Quick Setup`{`br`}`Without all the Hassle" align="center" color="#fff" text_align="center" tag="h2" font_size="3xl" font_weight="700" width="900px" bottom_margin="20px"][vc_column_text text_align="center" color="rgba(255,255,255,0.5)" width="850px" align="center"]Get started effortlessly with our quick setup process, designed to save you time and frustration. Enjoy a seamless experience that gets you up and running in no time, hassle-free.[/vc_column_text][vcex_spacing size="70px"][vcex_flex_container justify_content="space-between" flex_wrap="true" flex_direction="row" gap="40px"][vcex_icon_box heading="Design`{`br`}`&amp; Development" align_center="true" icon_border_width="1" onclick="custom_link" heading_color="#fff" heading_transform="uppercase" icon_color="#fff" icon_size="24px" heading_type="h3" heading_weight="normal" onclick_url="#" heading_letter_spacing="1px" icon_border_radius="50%" icon_alternative_character="1" icon_width="50px" icon_height="50px" heading_bottom_margin="0px"][/vcex_icon_box][vcex_icon_box heading="Planning`{`br`}`&amp; Strategy" align_center="true" icon_border_width="1" onclick="custom_link" heading_color="#fff" heading_transform="uppercase" icon_color="#fff" icon_size="24px" heading_type="h3" heading_weight="normal" onclick_url="#" heading_letter_spacing="1px" icon_border_radius="50%" icon_alternative_character="2" icon_width="50px" icon_height="50px" heading_bottom_margin="0px"][/vcex_icon_box][vcex_icon_box heading="Setup`{`br`}`&amp; Implement" align_center="true" icon_border_width="1" onclick="custom_link" heading_color="#fff" heading_transform="uppercase" icon_color="#fff" icon_size="24px" heading_type="h3" heading_weight="normal" onclick_url="#" heading_letter_spacing="1px" icon_border_radius="50%" icon_alternative_character="3" icon_width="50px" icon_height="50px" heading_bottom_margin="0px"][/vcex_icon_box][vcex_icon_box heading="Finish`{`br`}`&amp; Monitor" align_center="true" icon_border_width="1" onclick="custom_link" heading_color="#fff" heading_transform="uppercase" icon_color="#fff" icon_size="24px" heading_type="h3" heading_weight="normal" onclick_url="#" heading_letter_spacing="1px" icon_border_radius="50%" icon_alternative_character="4" icon_width="50px" icon_height="50px" heading_bottom_margin="0px"][/vcex_icon_box][/vcex_flex_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-4'] = [];
$patterns['features-4']['name'] = esc_html__( 'Features', 'total' ) . ' 4';
$patterns['features-4']['category'] = 'features';
$patterns['features-4']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" content_placement="middle" el_class="wpex-surface-2" column_spacing="60" css=".vc_custom_1626733007345{padding-top: 100px !important;padding-bottom: 40px !important;}"][vc_column width="1/3"][vcex_heading text="Core Features" bottom_margin="10px" tag="h2" font_size="3xl" font_weight="bold"][vc_column_text bottom_margin="30px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus et justo ultricies.[/vc_column_text][vcex_button color="black" border_radius="0px" border="0px" font_padding="top:12px|right:25px|bottom:12px|left:25px" text_transform="uppercase" letter_spacing="1.5px" font_size="sm" font_weight="semibold"]See more[/vcex_button][/vc_column][vc_column css_animation="none" width="2/3"][vcex_grid_container columns_lg="2" gap="50px 25px"][vcex_icon_box heading="Premium Plugins" align_center="true" wpex_padding="25px" shadow="shadow-2xl" icon="plug" icon_border_width="2" classes="wpex-surface-1" border_radius="15px" icon_border_radius="50px" icon_width="60px" icon_height="60px" heading_bottom_margin="5px" heading_type="h3"]Lorem ipsum dolor sit amet, consectetur elit.[/vcex_icon_box][vcex_icon_box heading="Cloud Storage" align_center="true" wpex_padding="25px" shadow="shadow-2xl" icon="database" icon_border_width="2" classes="wpex-surface-1" border_radius="15px" icon_border_radius="50px" icon_width="60px" icon_height="60px" heading_bottom_margin="5px" heading_type="h3"]Lorem ipsum dolor sit amet, consectetur elit.[/vcex_icon_box][vcex_icon_box heading="Rocket Speed" align_center="true" wpex_padding="25px" shadow="shadow-2xl" icon="rocket" icon_border_width="2" classes="wpex-surface-1" border_radius="15px" icon_border_radius="50px" icon_width="60px" icon_height="60px" heading_bottom_margin="5px" heading_type="h3"]Lorem ipsum dolor sit amet, consectetur elit.[/vcex_icon_box][vcex_icon_box heading="Quality Design" align_center="true" wpex_padding="25px" shadow="shadow-2xl" icon="paint-brush" icon_border_width="2" classes="wpex-surface-1" border_radius="15px" icon_border_radius="50px" icon_width="60px" icon_height="60px" heading_bottom_margin="5px" heading_type="h3"]Lorem ipsum dolor sit amet, consectetur elit.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-5'] = [];
$patterns['features-5']['name'] = esc_html__( 'Features', 'total' ) . ' 5';
$patterns['features-5']['category'] = 'features';
$patterns['features-5']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="Our Services &amp; Features" text_align="center" tag="h2" font_size="3xl" font_weight="bold" bottom_margin="20px"][vc_column_text width="850px" align="center" text_align="center" bottom_margin="40px"]We offer a wide range of services designed to meet your unique needs and deliver exceptional results. Each service is tailored to ensure the best possible outcomes and help you achieve your goals.[/vc_column_text][vcex_grid_container gap="35px"][vcex_teaser style="four" text_align="center" image_source="external" external_image="{$ph_landscape}"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus feugiat convallis. Integer nec eros et risus condimentum tristique vel vitae arcu.

<a class="theme-button" href="#">Learn more</a>[/vcex_teaser][vcex_teaser style="four" text_align="center" image_source="external" external_image="{$ph_landscape}"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus feugiat convallis. Integer nec eros et risus condimentum tristique vel vitae arcu.

<a class="theme-button" href="#">Learn more</a>[/vcex_teaser][vcex_teaser style="four" text_align="center" image_source="external" external_image="{$ph_landscape}"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus feugiat convallis. Integer nec eros et risus condimentum tristique vel vitae arcu.

<a class="theme-button" href="#">Learn more</a>[/vcex_teaser][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-6'] = [];
$patterns['features-6']['name'] = esc_html__( 'Features', 'total' ) . ' 6';
$patterns['features-6']['category'] = 'features';
$patterns['features-6']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" remove_bottom_col_margin="true" el_class="wpex-surface-2 wpex-py-60"][vc_column][vcex_heading text="Easy &amp; Proven Step Process" text_align="center" tag="h2" font_size="3xl" font_weight="bold" bottom_margin="20px"][vc_column_text width="850px" align="center" text_align="center" bottom_margin="40px"]Our easy and proven step process guides you through every stage with clarity and confidence. Achieve your goals efficiently with a straightforward approach that delivers consistent results.[/vc_column_text][vcex_grid_container gap="40px"][vcex_icon_box heading="Planning &amp; Mockup" style="two" alignment="left" wpex_padding="40px" shadow="shadow-xl" icon_border_width="2" icon_alternative_character="1" icon_height="50px" icon_width="50px" icon_font_weight="300" classes="wpex-surface-1" heading_type="h3"]Planning and mockups lay the groundwork for project success by visualizing concepts and refining details.[/vcex_icon_box][vcex_icon_box heading="Design &amp; Implementation" style="two" alignment="left" wpex_padding="40px" shadow="shadow-xl" icon_border_width="2" icon_alternative_character="2" icon_height="50px" icon_width="50px" icon_font_weight="300" classes="wpex-surface-1" heading_type="h3"]Bring concepts to life, turning plans into high-quality, functional solutions tailored to meet specific needs.[/vcex_icon_box][vcex_icon_box heading="Tracking &amp; Monitoring" style="two" alignment="left" wpex_padding="40px" shadow="shadow-xl" icon_border_width="2" icon_alternative_character="3" icon_height="50px" icon_width="50px" icon_font_weight="300" classes="wpex-surface-1" heading_type="h3"]Keep a close eye on progress and performance with data-driven adjustments along the way.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-7'] = [];
$patterns['features-7']['name'] = esc_html__( 'Features', 'total' ) . ' 7';
$patterns['features-7']['category'] = 'features';
$patterns['features-7']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="Our Services &amp; Features" text_align="center" tag="h2" font_size="3xl" font_weight="bold" bottom_margin="20px"][vc_column_text bottom_margin="50px" width="850px" align="center" text_align="center"]We offer a wide range of services designed to meet your unique needs and deliver exceptional results. Each service is tailored to ensure the best possible outcomes and help you achieve your goals.[/vc_column_text][vcex_grid_container columns_lg="4" columns_md="2" gap="25px"][vcex_icon_box heading="Loved by Millions" style="two" icon="heart-o" icon_border_width="2" icon_color="accent" icon_border_radius="9999px" heading_type="h3" icon_width="70px" icon_height="70px" icon_size="25px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec.[/vcex_icon_box][vcex_icon_box heading="Creative Design" style="two" icon="lightbulb-o" icon_border_width="2" icon_color="accent" icon_border_radius="9999px" heading_type="h3" icon_width="70px" icon_height="70px" icon_size="25px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec.[/vcex_icon_box][vcex_icon_box heading="Flagship Product" style="two" icon="flag-o" icon_border_width="2" icon_color="accent" icon_border_radius="9999px" heading_type="h3" icon_width="70px" icon_height="70px" icon_size="25px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec.[/vcex_icon_box][vcex_icon_box heading="Premium Mail" style="two" icon="paper-plane-o" icon_border_width="2" icon_color="accent" icon_border_radius="9999px" heading_type="h3" icon_width="70px" icon_height="70px" icon_size="25px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-8'] = [];
$patterns['features-8']['name'] = esc_html__( 'Features', 'total' ) . ' 8';
$patterns['features-8']['category'] = 'features';
$patterns['features-8']['content'] = <<<CONTENT
[vc_section full_width="stretch_row" wpex_bg_color="#3858e9" el_class="wpex-pt-60"][vc_row remove_bottom_col_margin="true"][vc_column][vcex_heading text="Heres how our service works:" text_align="center" tag="h2" font_size="3xl" font_weight="semibold" color="#fff"][vc_column_text text_align="center" font_size="lg" color="#fff" bottom_margin="50px"]Easy steps that anyone can follow[/vc_column_text][vc_row_inner column_spacing="60" content_placement="middle"][vc_column_inner width="1/2"][vcex_image source="external" external_image="{$ph_landscape}"][/vc_column_inner][vc_column_inner width="1/2"][vcex_icon_box heading="Create an Account" heading_type="h3" bottom_margin="40px" icon_alternative_character="1" icon_background="#fff" icon_color="#000" icon_width="50px" icon_height="50px" icon_border_radius="9999px" icon_size="20px" heading_color="#fff" font_color="#fff"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus et justo ultricies, mattis.[/vcex_icon_box][vcex_icon_box heading="Connect Your Site" heading_type="h3" bottom_margin="40px" icon_alternative_character="2" icon_background="#fff" icon_color="#000" icon_width="50px" icon_height="50px" icon_border_radius="9999px" icon_size="20px" heading_color="#fff" font_color="#fff"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus et justo ultricies, mattis.[/vcex_icon_box][vcex_icon_box heading="Increase Conversions" heading_type="h3" icon_alternative_character="3" icon_background="#fff" icon_color="#000" icon_width="50px" icon_height="50px" icon_border_radius="9999px" icon_size="20px" heading_color="#fff" font_color="#fff"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus et justo ultricies, mattis.[/vcex_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][/vc_section]
CONTENT;

$patterns['features-9'] = [];
$patterns['features-9']['name'] = esc_html__( 'Features', 'total' ) . ' 9';
$patterns['features-9']['category'] = 'features';
$patterns['features-9']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="Our Services &amp; Features" text_align="center" tag="h2" font_size="4xl" font_weight="bold"][vc_column_text text_align="center" bottom_margin="50px" font_size="lg" el_class="wpex-text-3"]Everything you need in one package.[/vc_column_text][vcex_grid_container columns_md="2" gap="50px 25px"][vcex_icon_box heading="Cloud Storage" icon="cloud" icon_background="accent" icon_color="on-accent" icon_border_radius="4px" icon_size="20px" icon_width="45px" icon_height="45px"]Cloud storage provides secure, scalable, and accessible storage solutions, allowing you to store and manage data online.[/vcex_icon_box][vcex_icon_box heading="Easy Installation" icon="star" icon_size="20px" icon_background="accent" icon_border_radius="4px" icon_width="45px" icon_height="45px" icon_color="on-accent"]The easy install process ensures a quick and hassle-free setup, so you can start using the service in no time.[/vcex_icon_box][vcex_icon_box heading="Premium Plugins" icon="plug" icon_size="20px" icon_color="on-accent" icon_background="accent" icon_border_radius="4px" icon_width="45px" icon_height="45px"]Advanced features, enhanced functionality, and seamless integration, providing powerful tools for performance.[/vcex_icon_box][vcex_icon_box heading="Easy Installation" icon="star" icon_size="20px" icon_color="on-accent" icon_background="accent" icon_border_radius="4px" icon_width="45px" icon_height="45px"]The easy install process ensures a quick and hassle-free setup, so you can start using the service in no time[/vcex_icon_box][vcex_icon_box heading="Enhanced Security" icon="shield" icon_size="20px" icon_color="on-accent" icon_background="accent" icon_border_radius="4px" icon_width="45px" icon_height="45px"]Your data is protected with advanced measures, safeguarding against threats and unauthorized access for peace of mind.[/vcex_icon_box][vcex_icon_box heading="Dashboard Statistics" icon="signal" icon_size="20px" icon_color="on-accent" icon_background="accent" icon_border_radius="4px" icon_width="45px" icon_height="45px"]Real-time insights, displaying key metrics and data trends to help you monitor performance and make informed decisions.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-10'] = [];
$patterns['features-10']['name'] = esc_html__( 'Features', 'total' ) . ' 10';
$patterns['features-10']['category'] = 'features';
$patterns['features-10']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" el_class="wpex-surface-2 wpex-py-100" wpex_shape_divider_top="tilt" wpex_shape_divider_top_flip="true" wpex_shape_divider_bottom="tilt" wpex_shape_divider_bottom_flip="true" wpex_shape_divider_top_height="40" wpex_shape_divider_bottom_height="40"][vc_column][vcex_heading text="All-in-One Solution" tag="h3" color="accent" text_transform="uppercase" letter_spacing="1px" font_size="base"][vcex_heading text="Everything You Need for Success..." tag="h2" color="#262626" font_size="35px" font_weight="bold" bottom_margin="40px"][vcex_grid_container columns_sm="2" gap="50px 25px"][vcex_icon_box heading="Live Page Editor" style="two" alignment="left" wpex_padding="30px" shadow="shadow-2xl" icon="paint-brush" heading_color="accent" icon_color="accent" heading_size="lg" classes="wpex-surface-1" border_radius="12px" icon_size="35px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/vcex_icon_box][vcex_icon_box heading="SEO Optimized" style="two" alignment="left" wpex_padding="30px" shadow="shadow-2xl" icon="search" heading_color="accent" icon_color="accent" heading_size="lg" classes="wpex-surface-1" border_radius="12px" icon_size="35px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/vcex_icon_box][vcex_icon_box heading="Rocket Speed" style="two" alignment="left" wpex_padding="30px" shadow="shadow-2xl" icon="rocket" heading_color="accent" icon_color="accent" heading_size="lg" classes="wpex-surface-1" border_radius="12px" icon_size="35px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/vcex_icon_box][vcex_icon_box heading="Increased Conversions" style="two" alignment="left" wpex_padding="30px" shadow="shadow-2xl" icon="line-chart" heading_color="accent" icon_color="accent" heading_size="lg" classes="wpex-surface-1" border_radius="12px" icon_size="35px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/vcex_icon_box][vcex_icon_box heading="Enhanced Security" style="two" alignment="left" wpex_padding="30px" shadow="shadow-2xl" icon="shield" heading_color="accent" icon_color="accent" heading_size="lg" classes="wpex-surface-1" border_radius="12px" icon_size="35px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/vcex_icon_box][vcex_icon_box heading="Premium Plugins" style="two" alignment="left" wpex_padding="30px" shadow="shadow-2xl" icon="plug" heading_color="accent" icon_color="accent" heading_size="lg" classes="wpex-surface-1" border_radius="12px" icon_size="35px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-11'] = [];
$patterns['features-11']['name'] = esc_html__( 'Features', 'total' ) . ' 11';
$patterns['features-11']['category'] = 'features';
$patterns['features-11']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="Available Courses" font_size="3xl" font_weight="bold" tag="h2" bottom_margin="10px"][vc_column_text bottom_margin="50px" width="450px" align="left"]Click on any course below to learn more about the program and how to sign up for the course.[/vc_column_text][vcex_grid_container columns="2" columns_lg="4" columns_md="3" gap="25px"][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Finance[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Antropology[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Marketing[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Business Intelligence[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Strategic Planning[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Business Management[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Entrepreneurship[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Economics[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Finance[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]History[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Social Work[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Sociology[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Political Science[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Writting[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Special Education[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Computer Science[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Geography[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Aerospace Engineering[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Human Resources[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Public Relations[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Biochemistry[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Microbiology[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Animation[/vcex_list_item][vcex_list_item icon="star" color="#ff7700" link="url:%23" font_color="currentColor" font_weight="semibold" font_size="15px"]Art History[/vcex_list_item][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-12'] = [];
$patterns['features-12']['name'] = esc_html__( 'Features', 'total' ) . ' 12';
$patterns['features-12']['category'] = 'features';
$patterns['features-12']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="What do we specialize in?" font_size="3xl" font_weight="bold"][vc_column_text bottom_margin="30px"]We specialize in delivering innovative solutions that drive growth and success.[/vc_column_text][vcex_grid_container columns_lg="" columns_md="2"][vcex_icon_box heading="SEO &amp; PPC" style="two" alignment="left" wpex_padding="40px" icon="search" background_color="#112877" icon_color="#327eff" heading_color="#fff" font_color="rgba(255,255,255,0.6)" heading_weight="bold" icon_size="40px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.

<a class="white-text" href="#">Learn more →</a>[/vcex_icon_box][vcex_icon_box heading="Marketing Campaigns" style="two" alignment="left" wpex_padding="40px" icon="envelope-open-o" background_color="#112877" icon_color="#327eff" heading_color="#fff" font_color="rgba(255,255,255,0.6)" heading_weight="bold" icon_size="40px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.

<a class="white-text" href="#">Learn more →</a>[/vcex_icon_box][vcex_icon_box heading="Localization &amp; Translation" style="two" alignment="left" wpex_padding="40px" icon="globe" background_color="#112877" icon_color="#327eff" heading_color="#fff" font_color="rgba(255,255,255,0.6)" heading_weight="bold" icon_size="40px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.

<a class="white-text" href="#">Learn more →</a>[/vcex_icon_box][vcex_icon_box heading="Site Optimization" style="two" alignment="left" wpex_padding="40px" icon="sliders" background_color="#112877" icon_color="#327eff" heading_color="#fff" font_color="rgba(255,255,255,0.6)" heading_weight="bold" icon_size="40px"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.

<a class="white-text" href="#">Learn more →</a>[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-13'] = [];
$patterns['features-13']['name'] = esc_html__( 'Features', 'total' ) . ' 13';
$patterns['features-13']['category'] = 'features';
$patterns['features-13']['content'] = <<<CONTENT
[vc_row column_spacing="50" equal_height="yes" el_class="wpex-mt-50"][vc_column width="1/2"][vcex_image source="external" external_image="{$ph_square}"][/vc_column][vc_column width="1/2"][vcex_list_item bottom_margin="15px" icon="circle" color="accent"]Exclusive features[/vcex_list_item][vcex_heading text="Everything you need to create faster and better websites using WordPress." font_size="2em" tag="h2"][vcex_divider color="#e0e0e0" margin="top:50px|bottom:50px"][vcex_grid_container columns_lg="" columns_sm="2" gap="40px"][vcex_icon_box heading="Section Templates" icon="" heading_type="h3"]Build faster websites using the exclusive Total section templates for WPBakery.[/vcex_icon_box][vcex_icon_box heading="Demo Import" icon="" heading_type="h3"]Easily import a sample demo to get started with a fully built site you can tweak.[/vcex_icon_box][vcex_icon_box heading="Font Manager" icon="" heading_type="h3"]Manage the available fonts for use on the site, upload custom fonts, use Google fonts, etc.[/vcex_icon_box][vcex_icon_box heading="SEO Ready &amp; Fast" icon="" heading_type="h3"]Create SEO ready and fast websites that will help take your business to a whole new level.[/vcex_icon_box][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['features-14'] = [];
$patterns['features-14']['name'] = esc_html__( 'Features', 'total' ) . ' 14';
$patterns['features-14']['category'] = 'features';
$patterns['features-14']['content'] = <<<CONTENT
[vc_row content_placement="middle" column_spacing="50" equal_height="yes" el_class="wpex-mt-50"][vc_column width="1/2"][vcex_heading text="High Quality WireFrames &amp; Templates" font_size="4xl" tag="h2" bottom_margin="20px"][vc_column_text bottom_margin="40px"]Our high-quality wireframes and templates provide a solid foundation for creating visually appealing and user-friendly designs. They are crafted to ensure a seamless user experience and consistent branding across all platforms.[/vc_column_text][vcex_list_item bottom_margin="15px" icon="check-circle-o" color="accent"]Unlimited Customizations[/vcex_list_item][vcex_list_item bottom_margin="15px" icon="check-circle-o" color="accent"]Professional Designs[/vcex_list_item][vcex_list_item bottom_margin="15px" icon="check-circle-o" color="accent"]Modern Wireframe Systems[/vcex_list_item][/vc_column][vc_column width="1/2"][vcex_image source="external" external_image="{$ph_square}"][/vc_column][/vc_row]
CONTENT;

$patterns['features-15'] = [];
$patterns['features-15']['name'] = esc_html__( 'Features', 'total' ) . ' 15';
$patterns['features-15']['category'] = 'features';
$patterns['features-15']['content'] = <<<CONTENT
[vc_row remove_bottom_col_margin="true" el_class="wpex-py-60"][vc_column][vcex_heading text="#E-8_QnVpbGQlMjAlM0NzcGFuJTIwY2xhc3MlM0QlMjJ3cGV4LWZvbnQtc2VtaWJvbGQlMjIlMjBzdHlsZSUzRCUyMmNvbG9yJTNBJTIzM0M2NkVDJTIyJTNFcG93ZXJmdWwlM0MlMkZzcGFuJTNFJTIwZGVzaWducyUyQyUyMGZyYW1ld29ya3MlMjBhbmQlMjBleHBlcmllbmNlcyUyMC4=" align="left" float="false" font_weight="300" font_size="d:45px|pl:30px" tag="h3" width="700px" bottom_margin="60px"][vcex_grid_container columns_md="2" gap="50px"][vcex_list_item icon="check" icon_spacing="15px" icon_size="20px" icon_border_radius="20px" icon_width="40px" icon_height="40px" color="#3c66ec" icon_background="#3B65ED1A" font_size="16px"]Pellentesque iaculis velit at dictum vulputate, sed mattis velit convallis quis.[/vcex_list_item][vcex_list_item icon="check" icon_spacing="15px" icon_size="20px" icon_border_radius="20px" icon_width="40px" icon_height="40px" color="#3c66ec" icon_background="#3B65ED1A" font_size="16px"]Pellentesque iaculis velit at dictum vulputate, sed mattis velit convallis quis.[/vcex_list_item][vcex_list_item icon="check" icon_spacing="15px" icon_size="20px" icon_border_radius="20px" icon_width="40px" icon_height="40px" color="#3c66ec" icon_background="#3B65ED1A" font_size="16px"]Pellentesque iaculis velit at dictum vulputate, sed mattis velit convallis quis.[/vcex_list_item][vcex_list_item icon="check" icon_spacing="15px" icon_size="20px" icon_border_radius="20px" icon_width="40px" icon_height="40px" color="#3c66ec" icon_background="#3B65ED1A" font_size="16px"]Pellentesque iaculis velit at dictum vulputate, sed mattis velit convallis quis.[/vcex_list_item][vcex_list_item icon="check" icon_spacing="15px" icon_size="20px" icon_border_radius="20px" icon_width="40px" icon_height="40px" color="#3c66ec" icon_background="#3B65ED1A" font_size="16px"]Pellentesque iaculis velit at dictum vulputate, sed mattis velit convallis quis.[/vcex_list_item][vcex_list_item icon="check" icon_spacing="15px" icon_size="20px" icon_border_radius="20px" icon_width="40px" icon_height="40px" color="#3c66ec" icon_background="#3B65ED1A" font_size="16px"]Pellentesque iaculis velit at dictum vulputate, sed mattis velit convallis quis.[/vcex_list_item][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;
// IMPORTANT - Space required to prevent HEREDOC errors.
