<?php

defined( 'ABSPATH' ) || exit;

$patterns['pricing-1'] = [];
$patterns['pricing-1']['name'] = esc_html__( 'Pricing', 'total' ) . ' 1';
$patterns['pricing-1']['category'] = 'pricing';
$patterns['pricing-1']['content'] = <<<CONTENT
[vc_row el_class="wpex-py-60" remove_bottom_col_margin="true"][vc_column][vcex_heading text="Choose Your Plan" text_align="center" tag="h2" font_size="3xl" bottom_margin="20px"][vc_column_text width="850px" align="center" text_align="center" bottom_margin="60px"]Select the plan that best fits your needs and goals. Each option is designed to provide flexibility, value, and the features that matter most to you. Whether you're just getting started or looking to scale, we've got the perfect plan to help you succeed, grow further, and achieve more.[/vc_column_text][vcex_grid_container align_items="center" gap="40px"][vcex_pricing style="alt-1" cost="$19" button_text="Get Started" button_url="url:%23" plan_weight="semibold" button_transform="uppercase" button_size="sm" button_weight="bold" button_letter_spacing="widest"]
<ul class="check-list">
 	<li>30GB Storage</li>
 	<li>512MB Ram</li>
 	<li>10 databases</li>
 	<li>1,000 Emails</li>
 	<li>25GB Bandwidth</li>
</ul>
[/vcex_pricing][vcex_pricing style="alt-1" featured="yes" plan="Business" cost="$49" button_text="Get Started" button_url="url:%23" plan_size="2.4em" cost_size="2em" plan_weight="semibold" button_size="sm" button_letter_spacing="widest" button_weight="bold" button_transform="uppercase"]
<ul class="check-list">
 	<li>30GB Storage</li>
 	<li>512MB Ram</li>
 	<li>10 databases</li>
 	<li>1,000 Emails</li>
 	<li>25GB Bandwidth</li>
</ul>
[/vcex_pricing][vcex_pricing style="alt-1" plan="Enterprice" cost="$99" button_text="Get Started" button_url="url:%23" plan_weight="semibold" button_weight="bold" button_transform="uppercase" button_size="sm" button_letter_spacing="widest"]
<ul class="check-list">
 	<li>30GB Storage</li>
 	<li>512MB Ram</li>
 	<li>10 databases</li>
 	<li>1,000 Emails</li>
 	<li>25GB Bandwidth</li>
</ul>
[/vcex_pricing][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['pricing-2'] = [];
$patterns['pricing-2']['name'] = esc_html__( 'Pricing', 'total' ) . ' 2';
$patterns['pricing-2']['category'] = 'pricing';
$patterns['pricing-2']['content'] = <<<CONTENT
[vc_row el_class="wpex-py-60" remove_bottom_col_margin="true"][vc_column][vcex_heading text="Choose Your Plan" text_align="center" tag="h2" font_size="3xl" bottom_margin="20px"][vc_column_text width="850px" align="center" text_align="center" bottom_margin="60px"]Select the plan that best fits your needs and goals. Each option is designed to provide flexibility, value, and the features that matter most to you. Whether you're just getting started or looking to scale, we've got the perfect plan to help you succeed, grow further, and achieve more.[/vc_column_text][vcex_grid_container columns_lg="4" columns_md="2" gap="40px"][vcex_pricing style="alt-3" plan="Starter" cost="FREE" button_text="Get Started" button_url="url:%23" line_height="200%" cost_weight="900" plan_color="#757575" button_style_color="black" button_transform="uppercase" button_letter_spacing=".5px"]
<ul>
 	<li>30GB Storage</li>
 	<li>512MB Ram</li>
 	<li>10 databases</li>
 	<li>1,000 Emails</li>
</ul>
[/vcex_pricing][vcex_pricing el_class="wpex-bg-gray-A900 wpex-text-white wpex-dark-mode-surface-4 wpex-dark-mode-text-1" style="alt-3" featured="yes" cost="$19" button_text="Get Started" button_url="url:%23" line_height="200%" cost_weight="900" button_size="sm" button_letter_spacing=".5px" button_transform="uppercase"]
<ul>
 	<li>30GB Storage</li>
 	<li>512MB Ram</li>
 	<li>10 databases</li>
 	<li>1,000 Emails</li>
</ul>
[/vcex_pricing][vcex_pricing style="alt-3" plan="Pro" cost="$29" button_text="Get Started" button_url="url:%23" line_height="200%" button_style_color="black" cost_weight="900" plan_color="#757575" button_transform="uppercase" button_size="sm" button_letter_spacing=".5px"]
<ul>
 	<li>30GB Storage</li>
 	<li>512MB Ram</li>
 	<li>10 databases</li>
 	<li>1,000 Emails</li>
</ul>
[/vcex_pricing][vcex_pricing style="alt-3" plan="Business" cost="$49" button_text="Get Started" button_url="url:%23" line_height="200%" button_style_color="black" cost_weight="900" plan_color="#757575" button_transform="uppercase" button_size="sm" button_letter_spacing=".5px"]
<ul>
 	<li>30GB Storage</li>
 	<li>512MB Ram</li>
 	<li>10 databases</li>
 	<li>1,000 Emails</li>
</ul>
[/vcex_pricing][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['pricing-3'] = [];
$patterns['pricing-3']['name'] = esc_html__( 'Pricing', 'total' ) . ' 3';
$patterns['pricing-3']['category'] = 'pricing';
$patterns['pricing-3']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" remove_bottom_col_margin="true" el_class="wpex-py-100" wpex_bg_color="#262626"][vc_column][vcex_heading text="Get started Today" color="#9e9e9e" text_align="center" font_size="14px" font_weight="600" text_transform="uppercase"][vcex_heading text="Choose your Plan" align="center" color="#fff" text_align="center" tag="h2" font_size="d:40px|pl:30px" font_weight="700" text_transform="uppercase" width="900px" bottom_margin="25px"][vc_row_inner gap="35" css=".vc_custom_1626746505658{margin-right: 0px !important;margin-left: 0px !important;}"][vc_column_inner width="1/2" css=".vc_custom_1626746230480{padding-top: 30px !important;padding-right: 30px !important;padding-bottom: 30px !important;padding-left: 30px !important;background-color: #fff !important;}"][vcex_heading color="#000" text="Free" bottom_margin="10px" font_size="4xl" font_weight="900"][vcex_heading color="#000" text="For personal use only" font_size="lg" font_weight="600" text_transform="uppercase"][vcex_divider color="#bdbdbd" margin="top:20px|bottom:20px"][vc_column_text color="#000" bottom_margin="30px"]Our free plan provides essential features to help you get started and explore our services without any cost. It’s a great way to experience our platform risk-free and see how it can support your needs.[/vc_column_text][vcex_button style="minimal-border" custom_color="#010101" border="1px solid #000" custom_hover_background="#000" custom_hover_color="#fff" font_weight="semibold" font_size="sm" text_transform="uppercase"]Learn more[/vcex_button][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1626746451906{padding: 30px !important;background-color: #fff !important;}"][vcex_heading color="#000" text="Premium" bottom_margin="10px" font_size="4xl" font_weight="900"][vcex_heading color="#000" text="$49 per license" font_size="lg" font_weight="600" text_transform="uppercase"][vcex_divider color="#bdbdbd" margin="top:20px|bottom:20px"][vc_column_text color="#000" bottom_margin="30px"]The Premium plan offers a comprehensive suite of advanced features, tailored for those who want to maximize their success. Enjoy exclusive tools, priority support and unparalleled flexibility.[/vc_column_text][vcex_button style="minimal-border" custom_color="#010101" border="1px solid #000" custom_hover_background="#000" custom_hover_color="#fff" font_weight="semibold" font_size="sm" text_transform="uppercase"]Learn more[/vcex_button][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;

$patterns['pricing-4'] = [];
$patterns['pricing-4']['name'] = esc_html__( 'Pricing', 'total' ) . ' 4';
$patterns['pricing-4']['category'] = 'pricing';
$patterns['pricing-4']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" remove_bottom_col_margin="true" remove_bottom_col_margin="true" el_class="wpex-py-60" wpex_bg_color="#262626"][vc_column][vcex_heading text="Our Licensing Options" align="center" color="#fff" text_align="center" tag="h2" font_size="3xl"][vcex_divider_dots spacing="15px" color="#fff" margin="top:10px|bottom:20px"][vc_row_inner content_placement="middle" gap="30" remove_bottom_col_margin="true" css=".vc_custom_1627247508167{margin-right: 0px !important;margin-left: 0px !important;}"][vc_column_inner width="1/3" css=".vc_custom_1626751085049{padding: 40px !important;border: 1px solid #9e9e9e !important;border-radius: 4px !important;}"][vcex_heading text="Free" color="#fff" text_align="center" font_size="2xl" text_transform="uppercase" font_weight="semibold" letter_spacing="widest" bottom_margin="20px"][vc_column_text color="#e0e0e0" bottom_margin="25px" text_align="center"]Includes essential features to get you started, providing a great way to explore our services at no cost.[/vc_column_text][vcex_button align="center" color="white" border_radius="0px" font_weight="bold" text_transform="uppercase" letter_spacing="wider" font_size="sm" icon_right="ticon ticon-angle-double-right"]Get Started[/vcex_button][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1626751565881{padding: 40px !important;border: 1px solid #9e9e9e !important;border-radius: 4px !important;}"][vcex_heading text="Basic" color="#fff" text_align="center" font_size="2xl" text_transform="uppercase" font_weight="semibold" letter_spacing="widest" bottom_margin="20px"][vcex_heading text="Best Offer" add_css_to_inner="true" background_color="accent" color="on-accent" text_align="center" font_size="sm" font_weight="bold" text_transform="uppercase" letter_spacing="widest" padding_y="5px" padding_x="15px" bottom_margin="20px"][vc_column_text color="#e0e0e0" bottom_margin="25px" text_align="center"]Offers core features to help you grow, providing great value and essential tools to support your goals.[/vc_column_text][vcex_button align="center" color="white" border_radius="0px" font_weight="bold" text_transform="uppercase" letter_spacing="wider" font_size="sm" icon_right="ticon ticon-angle-double-right"]Get Started[/vcex_button][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1626751650274{padding: 40px !important;border: 1px solid #9e9e9e !important;border-radius: 4px !important;}"][vcex_heading text="Agency" color="#fff" text_align="center" font_size="2xl" text_transform="uppercase" font_weight="semibold" letter_spacing="widest" bottom_margin="20px"][vc_column_text color="#e0e0e0" bottom_margin="25px" text_align="center"]Delivers advanced features and exclusive tools designed to maximize your success and elevate your experience.[/vc_column_text][vcex_button align="center" color="white" border_radius="0px" font_weight="bold" text_transform="uppercase" letter_spacing="wider" font_size="sm" icon_right="ticon ticon-angle-double-right"]Get Started[/vcex_button][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;

$patterns['pricing-5'] = [];
$patterns['pricing-5']['name'] = esc_html__( 'Pricing', 'total' ) . ' 5';
$patterns['pricing-5']['category'] = 'pricing';
$patterns['pricing-5']['content'] = <<<CONTENT
[vc_section el_class="wpex-py-60"][vc_row remove_bottom_col_margin="true"][vc_column][vcex_flex_container justify_content="center" flex_wrap="true" flex_direction="row" flex_basis="360px" gap="40px"][vcex_pricing el_class="wpex-surface-1 wpex-bordered wpex-rounded-lg" style="alt-3" shadow="shadow-2xl" plan="Beginner" cost="$50" per_display="block" button_text="Choose Plan" button_url="url:%23|title:Get%20Total" plan_size="lg" cost_size="60px" cost_weight="bold" per="per year" per_size="16px" per_weight="normal" button_wrap_padding="top:30px|right:30px|left:30px" button_style="minimal-border" button_color="#00c9ab" button_size="lg" button_weight="normal" button_border_radius="10px"][/vcex_pricing el_class="wpex-surface-1 wpex-bordered wpex-rounded-lg"][vcex_pricing el_class="wpex-surface-1 wpex-bordered wpex-rounded-lg" style="alt-3" shadow="shadow-2xl" plan="Professional" cost="$199" per_display="block" button_text="Choose Plan" button_url="url:%23|title:Get%20Total" plan_size="lg" cost_size="60px" cost_weight="bold" per="per year" per_size="16px" per_weight="normal" button_wrap_padding="top:30px|right:30px|left:30px" button_style="minimal-border" button_color="#00c9ab" button_size="lg" button_weight="normal" button_border_radius="10px"][/vcex_pricing el_class="wpex-surface-1 wpex-bordered wpex-rounded-lg"][/vcex_flex_container][/vc_column][/vc_row][vc_row remove_bottom_col_margin="true"][vc_column][vcex_spacing size="60px"][vcex_button bottom_margin="20px" style="flat" align="center" font_size="lg" custom_background="#00c9ab" custom_hover_background="#00b291" font_padding="top:15px|right:80px|bottom:15px|left:80px" border_radius="10px"]14 Day Free Trial[/vcex_button][vc_column_text text_align="center"]*New customers only. Restrictions apply.[/vc_column_text][/vc_column][/vc_row][/vc_section]
CONTENT;

$patterns['pricing-6'] = [];
$patterns['pricing-6']['name'] = esc_html__( 'Pricing', 'total' ) . ' 6';
$patterns['pricing-6']['category'] = 'pricing';
$patterns['pricing-6']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" remove_bottom_col_margin="true" el_class="wpex-surface-2 wpex-py-60"][vc_column][vcex_heading text="Choose Your Plan" text_align="center" tag="h2" font_size="3xl" bottom_margin="15px"][vc_column_text width="850px" align="center" text_align="center" bottom_margin="20px"]Select the plan that best fits your needs and goals. Each option is designed to provide flexibility, value, and the features that matter most to you. Whether you're just getting started or looking to scale, we've got the perfect plan to help you succeed, grow further, and achieve more.[/vc_column_text][vc_row_inner gap="35" remove_bottom_col_margin="true" css=".vc_custom_1627250328395{margin-right: 0px !important;margin-left: 0px !important;}"][vc_column_inner width="1/3" css=".vc_custom_1626752781822{padding: 40px !important;background-color: #fff !important;}"][vcex_heading text="Basic" tag="h3" font_weight="bold" text_align="center" font_size="xl" color="#222"][vcex_heading text="$19" bottom_margin="5px" tag="div" font_weight="bold" text_align="center" font_size="40px" color="#222"][vc_column_text text_align="center" color="#555"]per year[/vc_column_text][vcex_divider color="#e0e0e0" height="1px" margin="top:25px|bottom:30px"][vcex_skillbar color="#1700FF" title="Feature 1" percentage="45" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_color="#757575" percentage_font_size="11px" icon="wrench"][vcex_skillbar color="#1700FF" title="Feature 2" percentage="80" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_color="#757575" percentage_font_size="11px" icon="bug"][vcex_skillbar color="#1700FF" title="Feature 3" percentage="65" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_font_size="11px" percentage_color="#757575" icon="database"][vc_column_text text_align="center" color="#555" bottom_margin="25px"]personal use only*[/vc_column_text][vcex_button font_padding="top:15px|right:25px|bottom:15px|left:25px" font_size="sm" align="center" border_radius="rounded-full" font_weight="semibold" text_transform="uppercase" letter_spacing="wider" font_size="sm" custom_background="#000" custom_hover_background="#1700FF" custom_color="#FFF"]Select License[/vcex_button][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1626752802734{padding: 40px !important;background-color: #fff !important;}"][vcex_heading text="Professional" tag="h3" font_weight="bold" text_align="center" font_size="xl" color="#222"][vcex_heading text="$29" bottom_margin="5px" tag="div" font_weight="bold" text_align="center" font_size="40px" color="#222"][vc_column_text text_align="center" color="#555"]per year[/vc_column_text][vcex_divider color="#e0e0e0" height="1px" margin="top:25px|bottom:30px"][vcex_skillbar color="#1700FF" title="Feature 1" percentage="45" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_color="#757575" percentage_font_size="11px" icon="wrench"][vcex_skillbar color="#1700FF" title="Feature 2" percentage="80" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_color="#757575" percentage_font_size="11px" icon="bug"][vcex_skillbar color="#1700FF" title="Feature 3" percentage="65" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_font_size="11px" percentage_color="#757575" icon="database"][vc_column_text text_align="center" color="#555" bottom_margin="25px"]personal &amp; commercial use*[/vc_column_text][vcex_button font_padding="top:15px|right:25px|bottom:15px|left:25px" font_size="sm" align="center" border_radius="rounded-full" font_weight="semibold" text_transform="uppercase" letter_spacing="wider" font_size="sm" custom_background="#000" custom_hover_background="#1700FF" custom_color="#FFF"]Select License[/vcex_button][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1626752809833{padding: 40px !important;background-color: #fff !important;}"][vcex_heading text="Unlimited" tag="h3" font_weight="bold" text_align="center" font_size="xl" color="#222"][vcex_heading text="$250" bottom_margin="5px" tag="div" font_weight="bold" text_align="center" font_size="40px" color="#222"][vc_column_text text_align="center" color="#555"]one payment[/vc_column_text][vcex_divider color="#e0e0e0" height="1px" margin="top:25px|bottom:30px"][vcex_skillbar color="#1700FF" title="Feature 1" percentage="45" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_color="#757575" percentage_font_size="11px" icon="wrench"][vcex_skillbar color="#1700FF" title="Feature 2" percentage="80" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_color="#757575" percentage_font_size="11px" icon="bug"][vcex_skillbar color="#1700FF" title="Feature 3" percentage="65" animate_percent_onscroll="true" style="alt-1" bottom_margin="15px" border_radius="rounded-full" show_icon="true" background="#e0e0e0" container_height="22px" label_color="#222" percentage_font_size="11px" percentage_color="#757575" icon="database"][vc_column_text text_align="center" color="#555" bottom_margin="25px"]redistribution allowed*[/vc_column_text][vcex_button font_padding="top:15px|right:25px|bottom:15px|left:25px" font_size="sm" align="center" border_radius="rounded-full" font_weight="semibold" text_transform="uppercase" letter_spacing="wider" font_size="sm" custom_background="#000" custom_hover_background="#1700FF" custom_color="#FFF"]Select License[/vcex_button][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;

$patterns['pricing-7'] = [];
$patterns['pricing-7']['name'] = esc_html__( 'Pricing', 'total' ) . ' 7';
$patterns['pricing-7']['category'] = 'pricing';
$patterns['pricing-7']['content'] = <<<CONTENT
[vc_section full_width="stretch_row" el_class="wpex-py-60 wpex-surface-2"][vc_row][vc_column][vcex_heading text="Select a plan that fits your needs" text_align="center" tag="h2" font_size="4xl" font_weight="500" bottom_margin="20px"][vc_column_text width="650px" align="center" text_align="center"]Choose the perfect plan to match your needs and unlock the full potential of our services. Each option is designed to deliver maximum value and help you achieve your goals.[/vc_column_text][/vc_column][/vc_row][vc_row gap="35"][vc_column wpex_border_color="#4e5cf5" wpex_bg_color="#FFF" wpex_shadow="shadow-lg" width="1/3" css=".vc_custom_1631742011400{border-top-width: 3px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-top-style: solid !important;}"][vcex_heading text="Free" tag="div" font_weight="semibold" font_size="3xl" color="#222" bottom_margin="30px"][vcex_heading text="Starter Plan" bottom_margin="5px" tag="h3" font_weight="500" font_size="lg" color="#222"][vc_column_text]All the basic features to setup your site.[/vc_column_text][vcex_divider color="#ededed" margin="top:30px|bottom:30px"][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]5 domains[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]1,000 monthly visits[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222" bottom_margin="30px"]Ads[/vcex_list_item][vcex_button layout="expanded" style="outline" border="2px solid currentColor" border_radius="rounded-full" custom_color="#4e5cf5" custom_hover_background="#4e5cf5" custom_hover_color="#fff" font_weight="bold" font_padding="top:15px|right:30px|bottom:15px|left:30px"]Choose Free plan[/vcex_button][/vc_column][vc_column wpex_border_color="#4cc791" wpex_bg_color="#FFF" wpex_shadow="shadow-lg" width="1/3" css=".vc_custom_1631742018352{border-top-width: 3px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-top-style: solid !important;}"][vcex_heading text="#E-8_JTI0MjklMjAlM0NzcGFuJTIwc3R5bGUlM0QlMjJmb250LXNpemUlM0ExMnB4JTNCY29sb3IlM0ElMjM3NTc1NzUlM0IlMjIlM0UlMkZtb250aCUzQyUyRnNwYW4lM0U=" tag="span" font_weight="semibold" font_size="3xl" color="#222" bottom_margin="30px"][vcex_heading text="Standard Plan" bottom_margin="5px" tag="h3" font_weight="500" font_size="lg" color="#222"][vc_column_text]Everything you need to setup your site plus a little extra.[/vc_column_text][vcex_divider color="#ededed" margin="top:30px|bottom:30px"][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]10 domains[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]2,000 monthly visits[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]Without Ads[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222" bottom_margin="30px"]Chat Support[/vcex_list_item][vcex_button layout="expanded" style="flat" border_radius="rounded-full" font_weight="bold" custom_color="#fff" custom_background="#4e5cf5" custom_hover_background="rgba(78,92,245,0.9)" font_padding="top:15px|right:30px|bottom:15px|left:30px"]Choose Standard plan[/vcex_button][/vc_column][vc_column wpex_border_color="#f59b36" wpex_bg_color="#FFF" wpex_shadow="shadow-lg" width="1/3" css=".vc_custom_1631742024786{border-top-width: 3px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-top-style: solid !important;}"][vcex_heading text="#E-8_JTI0NzklMjAlM0NzcGFuJTIwc3R5bGUlM0QlMjJmb250LXNpemUlM0ExMnB4JTNCY29sb3IlM0ElMjM3NTc1NzUlM0IlMjIlM0UlMkZtb250aCUzQyUyRnNwYW4lM0U=" tag="span" font_weight="semibold" font_size="3xl" color="#222" bottom_margin="30px"][vcex_heading text="Business Plan" bottom_margin="5px" tag="h3" font_weight="500" font_size="lg" color="#222"][vc_column_text]All the basic features to setup your site.[/vc_column_text][vcex_divider color="#ededed" margin="top:30px|bottom:30px"][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]Unlimited domains[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]Unlimited monthly visits[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]Without Ads[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]Custom Branding[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]Free Migration[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222"]Team Dashboard[/vcex_list_item][vcex_list_item bottom_margin="15px" flex_align="center" icon="check" icon_border_radius="rounded-full" icon_width="25px" icon_height="25px" color="#00b075" icon_background="#e0f4ec" font_weight="semibold" font_color="#222" bottom_margin="30px"]Chat & Phone Support[/vcex_list_item][vcex_button layout="expanded" style="outline" border="2px solid currentColor" border_radius="rounded-full" custom_color="#4e5cf5" custom_hover_background="#4e5cf5" custom_hover_color="#fff" font_weight="bold" font_padding="top:15px|right:30px|bottom:15px|left:30px"]Choose Business plan[/vcex_button][/vc_column][/vc_row][/vc_section]
CONTENT;

$patterns['pricing-8'] = [];
$patterns['pricing-8']['name'] = esc_html__( 'Pricing', 'total' ) . ' 8';
$patterns['pricing-8']['category'] = 'pricing';
$patterns['pricing-8']['content'] = <<<CONTENT
[vc_row el_class="wpex-py-60"][vc_column][vcex_heading text="Park Passes" add_css_to_inner="true" border_radius="rounded-full" tag="h2" font_size="14px" text_align="center" color="#1c4d40" background_color="#e8edec" padding_y="5px" padding_x="15px" bottom_margin="15px"][vcex_heading text="Select a Park Pass" text_align="center" tag="h3" font_size="2xl" font_weight="700" bottom_margin="20px"][vc_column_text bottom_margin="20px" width="650px" align="center" text_align="center" bottom_margin="50px"]Choose the right pass to enhance your park experience and make the most of every visit. Our options cater to all interests, ensuring unforgettable moments in nature.[/vc_column_text][vcex_grid_container align_items="center" gap="40px"][vcex_pricing el_class="wpex-bg-white" style="alt-1" plan="One Day pass" cost="$5" button_text="Buy Now" button_url="url:%23" plan_weight="normal" button_size="16px" button_weight="normal" button_letter_spacing="widest" plan_size="16px" plan_color="#555" font_color="#555" cost_size="55px" cost_color="#222" font_size="16px" button_style="outline" button_border_width="1px" button_color="#1c4d40" button_hover_bg_color="#1c4d40" button_hover_color="#fff" button_wrap_padding="top:15px" button_padding="top:15px|right:30px|bottom:15px|left:30px"]All park access for a single day for up to 5 people.[/vcex_pricing][vcex_pricing style="alt-1" plan="Season Pass" cost="$19" button_text="Buy Now" button_url="url:%23" plan_weight="normal" button_size="16px" button_weight="normal" button_letter_spacing="widest" plan_size="16px" plan_color="#fff" font_color="rgba(255,255,255,0.8)" cost_size="55px" font_size="16px" button_style="flat" button_border_width="1px" button_color="#1c4d40" background_color="#1c4d40" button_bg_color="#fff" cost_color="#fff" button_hover_color="#000" button_wrap_padding="top:15px" button_padding="top:15px|right:30px|bottom:15px|left:30px"]All park access for 6 months for up to 5 people.[/vcex_pricing][vcex_pricing el_class="wpex-bg-white" style="alt-1" plan="Yearly Pass" cost="$49" button_text="Buy Now" button_url="url:%23" plan_weight="normal" button_size="16px" button_weight="normal" button_letter_spacing="widest" plan_size="16px" plan_color="#555" font_color="#555" cost_size="55px" cost_color="#222" font_size="16px" button_style="outline" button_border_width="1px" button_color="#1c4d40" button_hover_bg_color="#1c4d40" button_hover_color="#fff" button_wrap_padding="top:15px" button_padding="top:15px|right:30px|bottom:15px|left:30px"]All park access for 12 months for up to 5 people.[/vcex_pricing][/vcex_grid_container][/vc_column][/vc_row]
CONTENT;

$patterns['pricing-9'] = [];
$patterns['pricing-9']['name'] = esc_html__( 'Pricing', 'total' ) . ' 9';
$patterns['pricing-9']['category'] = 'pricing';
$patterns['pricing-9']['content'] = <<<CONTENT
[vc_row full_width="stretch_row" wpex_bg_color="#000" el_class="wpex-pt-60 wpex-pb-20"][vc_column width="2/5"][vc_column_text color="#fff" font_size="50px" font_weight="500"]$19.99[/vc_column_text][vc_column_text color="rgba(255,255,255,0.6)" font_size="16px"]billed monthly[/vc_column_text][/vc_column][vc_column width="3/5"][vcex_heading text="Get access to all videos on demand and future releases." color="#fff" tag="h2" font_size="d:35px|pl:30px" font_weight="bold"][vcex_spacing size="40px"][vcex_bullets gap="40px" alignment="horizontal" icon_color="#f2c86d" icon_type="ticons" icon="check" color="#fff"]
<ul>
 	<li>Over 500 movies</li>
 	<li>Download and watch later</li>
 	<li>Easily monthly billing</li>
 	<li>No advertisements</li>
</ul>
[/vcex_bullets][vcex_spacing size="50px"][vcex_button custom_background="#f2c86d" custom_color="#000" font_padding="top:20px|right:50px|bottom:20px|left:50px" border_radius="rounded-full" font_size="15px" font_weight="normal"]Create an account[/vcex_button][/vc_column][/vc_row]
CONTENT;
// IMPORTANT - Space required to prevent HEREDOC errors.
